# Class RcsbFvSequence<T, U>

#### Type Parameters

- #### T

- #### U

#### Hierarchy

- Component<RcsbFvSequenceInterface<T, U> & {
  componentId: string;
  stateManager: RcsbFvStateInterface;
  unmount: ((flag) => void);
  }, RcsbFvSequenceInterface<T, U>>
  - RcsbFvSequence

- Defined in src/RcsbFvSequence/RcsbFvSequence.tsx:13

#####
Index

### Constructors

constructor

### Methods

render

## Constructors

### constructor

- new RcsbFvSequence<T, U>(props): RcsbFvSequence<T, U>

- #### Type Parameters

  - #### T

  - #### U

  #### Parameters

  - ##### props: RcsbFvSequenceInterface<T, U> & {
    componentId: string;
    stateManager: RcsbFvStateInterface;
    unmount: ((flag) => void);
    } | Readonly<RcsbFvSequenceInterface<T, U> & {
    componentId: string;
    stateManager: RcsbFvStateInterface;
    unmount: ((flag) => void);
    }>

  #### Returns RcsbFvSequence<T, U>

  Inherited from React.Component <RcsbFvSequenceInterface<T,U> & {unmount:(flag:boolean)=>void, stateManager: RcsbFvStateInterface, componentId:string}, RcsbFvSequenceInterface<T,U> >.constructor

  - Defined in node_modules/@types/react/index.d.ts:519
- new RcsbFvSequence<T, U>(props, context): RcsbFvSequence<T, U>

- #### Type Parameters

  - #### T

  - #### U

  #### Parameters

  - ##### props: RcsbFvSequenceInterface<T, U> & {
    componentId: string;
    stateManager: RcsbFvStateInterface;
    unmount: ((flag) => void);
    }

  - ##### context: any

  #### Returns RcsbFvSequence<T, U>

  #### Deprecated

  #### See

  https://legacy.reactjs.org/docs/legacy-context.html

  Inherited from React.Component <RcsbFvSequenceInterface<T,U> & {unmount:(flag:boolean)=>void, stateManager: RcsbFvStateInterface, componentId:string}, RcsbFvSequenceInterface<T,U> >.constructor

  - Defined in node_modules/@types/react/index.d.ts:524

## Methods

### render

- render(): Element

- #### Returns Element

  Overrides React.Component.render

  - Defined in src/RcsbFvSequence/RcsbFvSequence.tsx:15

Generated using TypeDoc